.l-header {
    width: 100%;
    z-index: 101;
    position: sticky;
    height: 70px;
}

@media(max-width: 1023px) {
    .l-header {
        background: #fff;
        top: 0;
        left: 0;
    }
}

.p-header {
    width: 100%;
    position: fixed;
    margin: auto;
    background: #fff;
    box-shadow: 0 4px 4px -4px rgba(0, 0, 0, 0.1);
}

.p-header::after {
    content: "";
    display: block;
    width: 100%;
    height: 10px;
    position: absolute;
    left: 0;
    bottom: -4px;
}

@media(max-width: 1023px) {
    .p-header {
        position: static;
        border-radius: 0;
        padding: 0 16px;
    }
}

.p-header__logo {
    flex: 0 0 auto;
    display: flex;
    justify-content: center;
    align-items: center
}

.p-header__logo a {
    display: block;
    width: 222px;
}

@media(max-width: 1023px) {
    .p-header__logo a {
        width: auto;
        height: 48px
    }
}

.p-header__logo a img {
    -o-object-fit: contain;
    object-fit: contain;
    height: 50px;
}

.p-header__container {
    flex: 0 0 auto;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 22px 10px 30px
}

@media(max-width: 1023px) {
    .p-header__container {
        padding: 10px 8px 10px 0;
        align-items: center
    }
}

.p-header__menu {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}


.p-header__menu__item {
    display: inline-block;
    margin-right: 20px;
    list-style-type: none;
}

.p-header__menu__item a {
    text-decoration: none;
    color: #333;
    font-size: 16px;
    font-weight: 600;
}

.p-header__menu__item a:hover {
    color: #010066;
}

@media (max-width: 768px) {
    .p-header__menu {
        display: block;
        text-align: center;
    }

    .p-header__menu__item {
        display: block;
        margin-right: 0;
        margin-bottom: 10px;
    }
}


.p-header__nav {
    display: none;
}

.p-header__btn {
    display: none;
    /* Initially hide the button */
}

.p-hamburger__item svg {
    width: 30px;
    height: 30px;
}

.icon-close {
    display: none;
}

.p-header__btn.p-hamburger.is-active .icon-open {
    display: none;
}

.p-header__btn.p-hamburger.is-active .icon-close {
    display: block;
}


@media (max-width: 1023px) {
    .p-header__menu {
        display: none;
    }

    .p-header__nav {
        display: none;
        /* Initially hide the navigation in mobile */
        background-color: #fff;
        /* Same as your header's background */
        width: 100%;
        position: absolute;
        top: 100%;
        left: 0;
        z-index: 100;
    }

    .p-header__nav.is-open {
        display: block;
        /* Show nav when open */
    }

    .p-header__btn {
        display: block;
        /* Show the button on small screens */
    }

    .p-gnav__list {
        list-style: none;
        padding: 0;
        margin: 0;
    }

    .p-gnav__item {
        border-bottom: 1px solid #e5e5e5;
        /* Optional: adds a line between items */
        text-align: center;
    }

    .p-gnav__link {
        display: block;
        padding: 15px;
        color: #333;
        text-decoration: none;
        /* Adjust to your link style */
    }
}

/* フッター */

.l-footer {
    background-color: #fff;
    color: white;
    padding: 20px;
}

.footer-content {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: flex-start;
}

.footer-brand,
.footer-social {
    margin-bottom: 20px;
}

.footer-brand a img {
    width: 150px;
    height: auto;
    margin-bottom: 20px;
}

.footer-social a {
    display: inline-block;
    margin-right: 10px;
}

.footer-social a svg {
    width: 24px;
    height: 24px;
    fill: #8757f8;
}

.footer-links {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
}

.footer-links a {
    color: #8757f8;
    text-decoration: none;
    margin-bottom: 10px;
    margin-right: 20px;
}

.p-footer {
    text-align: center;
    margin-top: 20px;
}

.p-footer__copy small {
    color: #8757f8;
}

@media (max-width: 768px) {

    .l-footer {
        padding-top: 30px;
    }

    .footer-brand {
        margin-bottom: 10px;
    }

    .footer-content {
        flex-direction: column;
    }

    .footer-links {
        justify-content: flex-start;
        order: 3;
    }

    .footer-links a {
        margin-right: 30px;
    }
}